- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CAnimKnob Class Reference

a bitmap knob control More...

`#include <vstcontrols.h>`

Inheritance diagram for CAnimKnob:

List of all members.

## Public Member Functions
| CAnimKnob (const CRect &size, CControlListener *listener, long tag, CBitmap *background, CPoint &offset)
| CAnimKnob (const CRect &size, CControlListener *listener, long tag, long subPixmaps, CCoord heightOfOneImage, CBitmap *background, CPoint &offset)
virtual | ~CAnimKnob ()
virtual bool | isDirty () const
| check if view is dirty
virtual void | draw (CDrawContext *pContext)
| called if the view should draw itself
void | setInverseBitmap (bool val)
## Protected Attributes
long | subPixmaps
CCoord | heightOfOneImage
bool | bInverseBitmap
CPoint | lastDrawnPoint

## Detailed Description

a bitmap knob control

Such as a CKnob control object, but there is a unique pixmap which contains different views (subpixmaps) of this knob. According to the value, a specific subpixmap is displayed. The different subpixmaps are stacked in the pixmap object.

## Constructor & Destructor Documentation

CAnimKnob::CAnimKnob | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | CBitmap * | background,
|  | CPoint & | offset
| ) |

CAnimKnob::CAnimKnob | ( | const CRect & | size,
|  | CControlListener * | listener,
|  | long | tag,
|  | long | subPixmaps,
|  | CCoord | heightOfOneImage,
|  | CBitmap * | background,
|  | CPoint & | offset
| ) |

CAnimKnob::~CAnimKnob | ( |  | ) | `[virtual]`

## Member Function Documentation

void CAnimKnob::draw | ( | CDrawContext * | pContext | ) | `[virtual]`

| called if the view should draw itself Reimplemented from CKnob.

bool CAnimKnob::isDirty | ( |  | ) | const`[virtual]`

| check if view is dirty Reimplemented from CControl.

void CAnimKnob::setInverseBitmap | ( | bool | val | ) | `[inline]`

## Member Data Documentation

bool CAnimKnob::bInverseBitmap`[protected]`

CCoord CAnimKnob::heightOfOneImage`[protected]`

CPoint CAnimKnob::lastDrawnPoint`[protected]`

long CAnimKnob::subPixmaps`[protected]`

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.